@font-face {
  font-family: "HKGroteskPro";
  src: url(/assets/font/HKGroteskPro-Regular.woff2);
}

@font-face {
  font-family: "HKGroteskPro_Medium";
  src: url(/assets/font/HKGroteskPro-Medium.woff2);
}

body {
  margin: 0;
  font-family: "HKGroteskPro";
  font-size: 1.0625rem;
  font-weight: 400;
  line-height: 1.6;
}

body > section {
  overflow: hidden;
}

body p {
  color: #869ab8;
}

.nav-menu > li > span {
  font-family: "HKGroteskPro_Medium";
  color: #506690;
}

.header-wrapper {
  box-sizing: border-box;
}

.header-columns {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  margin-left: auto;
  margin-right: auto;
  padding: 1.25rem 0;
}

.navigation {
  display: flex;
  align-items: center;
}

.nav-menu {
  display: flex;
  justify-content: center;
  margin-left: auto;
  flex-wrap: wrap;
  margin-left: 5rem;
}

ul.nav-menu > li {
  position: relative;
}

ul.nav-menu > li > span:hover {
  color: blue;
}

ul.nav-menu > li > span:hover + .sub-menu {
  display: block;
  cursor: pointer;
}

.sub-menu:hover {
  display: block;
}

.sub-menu span {
  font-size: 0.75rem;
  color: blue;
}

ul {
  list-style: none;
  padding: 0 0;
}

a {
  text-decoration: none;
  color: #506690;
}

a:hover {
  color: blue;
}

.sub-menu {
  border-radius: 5px;
  display: none;
  position: absolute;
  background-color: white;
  left: 50%;
  top: 35px;
  transform: translateX(-50%);
  box-shadow: rgba(60, 64, 67, 0.3) 0px 1px 2px 0px,
    rgba(60, 64, 67, 0.15) 0px 2px 6px 2px;
  white-space: nowrap;
  z-index: 100;
}

.close-navbar-button {
  background-color: white;
  border: 0;
  display: none;
  position: absolute;
  top: 1rem;
  right: 1rem;
  z-index: 1001;
}

.close-navbar-button:hover {
  cursor: pointer;
}

/* --------- landings ------------ */

.landings {
  display: grid;
  grid-template-columns: 50% 50%;
  height: 315px;
  width: 670px;
}

.landings-left {
  display: flex;
  flex-direction: column;
  justify-content: center;
  background-image: url("../assets/img/photo-3.jpg");
  box-shadow: inset 0 0 0 2000px rgba(77, 114, 235, 0.822);
  background-size: cover;
  align-items: center;
  border-radius: 7px 0px 0px 7px;
}

.landing-right {
  padding: 20px 20px;
  background-color: white;
  border-radius: 0 7px 7px 0;
}

.sub-menu .landings .landing-right > ul,
ul.list-options {
  margin: 20px 20px;
  display: grid;
  grid-template-columns: 50% 50%;
  justify-content: center;
}

.sub-menu .landings .landing-right ul.list-options li ul li {
  margin: 8px 0px;
  font-size: 0.9375rem;
  font-weight: 400;
  line-height: 1.4;
}

.sub-menu .landings .landing-right ul.list-options > li:last-child {
  grid-row: 1/3;
  grid-column: 2/3;
}

.landings-left > a {
  display: flex;
  align-items: center;
  height: 20px;
  margin-top: 20px;
  padding: 13px;
  border-radius: 5px/5px;
  background-color: white;
  color: blue;
}

.landings-left {
  color: white;
}

.landings-left > h3 {
  margin: 0.25em 0;
}

.landings-left > span {
  color: white;
  font-size: 15px;
}

.theme-container {
  align-items: center;
  justify-content: center;
}

.header-item {
  padding: 1.25rem 1.5rem;
}

/* --------- pages ------------ */

.pages {
  display: flex;
  padding: 40px;
}

.pages-column {
  flex-grow: 1;
  display: flex;
  width: 50%;
}

.pages-list-options {
  padding: 0px 20px;
}

.pages-left-column.pages-list-options {
  /* flex-grow: 1; */
  width: 50%;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
}

.pages-left-column.pages-list-options > li {
  padding: 0 10px;
}

.pages-right-column.pages-list-options {
  display: flex;
}

.pages-right-column.pages-list-options > li {
  padding: 0px 15px;
}

.pages-list-options > li > ul {
  padding: 10px 0px;
}

.pages-list-options > li > ul > li {
  padding: 5px 0px;
}

.sub-menu .pages .pages-right ul.list-options li ul li {
  margin: 8px 0px;
}

.sub-menu .pages .pages-left ul.list-options li ul li {
  margin: 8px 0px;
}

/* --------- Account ------------ */

.account-list-options {
  padding: 20px 0;
  display: flex;
  flex-direction: column;
}

.account-list-options > li {
  padding: 7px 25px;
  position: relative;
}

.account-list-options > li > span {
  display: flex;
  justify-content: space-between;
  color: #506690;
  font-size: inherit;
}

.account-list-options > li > span > i {
  padding-left: 40px;
}

.account-list-options > li > span:hover {
  color: blue;
  cursor: pointer;
}

.account-list-options > li:hover > .account-sub-menu {
  display: block;
  cursor: pointer;
}

.sub-menu-wrapper {
  display: flex;
  padding: 20px 0px;
  justify-content: flex-start;
}

.account-sub-menu {
  display: none;
  position: absolute;
  border-radius: 5px;
  width: 200px;
  padding: 10px;
  box-shadow: rgba(60, 64, 67, 0.3) 0px 1px 2px 0px,
    rgba(60, 64, 67, 0.15) 0px 2px 6px 2px;
  background-color: white;
  right: 0px;
  transform: translateX(100%);
  top: -20px;
}

.account-sub-menu > ul > li {
  padding: 5px 10px;
}

/* --------- Documentation ------------ */
.documentation-list-options {
  display: flex;
  flex-direction: column;
  padding: 10px 25px;
}

.documentation-item-wrapper {
  display: flex;
  flex-direction: row;
  padding: 1rem 0;
  align-items: center;
}

.documentation-icon > svg {
  width: 2.25rem;
  height: 2.25rem;
}

.documentation-content {
  display: flex;
  flex-direction: column;
  justify-content: center;
  padding-left: 13px;
}

.documentation-content > p {
  margin: 0px;
  color: #506690;
}

.documentation-content * {
  padding: 2px;
}

.documentation-version {
  text-align: center;
  vertical-align: baseline;
  margin-left: 3rem;
  padding: 3px 15px;
  border-radius: 20px;
  background-color: rgba(51, 94, 234, 0.1);
  font-size: 10px !important;
  font-weight: bold;
}

.documentation-list-options > li:nth-child(2) {
  border-top: 0.5px rgba(82, 82, 82, 0.103) solid;
  border-bottom: 0.5px rgba(82, 82, 82, 0.103) solid;
}

.documentation-list-options > li:hover {
  cursor: pointer;
}

.buynow-button {
  padding: 0.5625rem 1rem;
  border-radius: 5px/5px;
  background-color: blue;
  color: white !important;
  font-weight: bold;
  margin-left: 10.5rem;
}

.navbar-button {
  background-color: white;
  border: 0;
  display: none;
}

.navbar-button:hover {
  cursor: pointer;
}

i.fas.fa-bars.fa-lg {
  font-size: 2em;
}

.show {
  display: block !important;
}

@media only screen and (min-width: 990px) and (max-width: 1200px) {
  .buynow-button {
    margin-left: 8rem !important;
  }
}

@media only screen and (min-width: 991px) {
  .close-navbar-button {
    display: none !important;
  }

  .navigation {
    display: flex !important;
  }
}

@media only screen and (max-width: 990px) {
  .navbar-button {
    display: block;
  }

  .navigation {
    all: unset;
    display: none;
    position: fixed;
    height: calc(100% - 2rem) !important;
    box-shadow: rgba(60, 64, 67, 0.3) 0px 1px 2px 0px,
      rgba(60, 64, 67, 0.15) 0px 2px 6px 2px;
    left: 1rem;
    background-color: white;
    overflow-x: hidden;
    overflow-y: scroll;
    position: fixed;
    top: 1rem;
    width: calc(100% - 2rem);
    z-index: 1000;
  }

  .nav-menu > li {
    display: flex;
    flex-direction: column;
    padding: 1.5rem;
  }

  .header-item {
    padding: 0;
    margin-bottom: 1.5rem;
  }

  /* --------- landings ------------ */

  .landings {
    all: unset;
    grid-template-columns: 0% 100%;
  }

  .landings-left {
    display: none;
  }

  .landing-right {
    padding: 0;
  }

  .sub-menu {
    all: unset;
    display: block;
    box-shadow: none;
    position: relative;
  }

  .nav-menu {
    flex-direction: column;
    justify-content: center;
    margin-left: auto;
    flex-wrap: wrap;
    margin: 0;
  }

  .nav-menu > li {
    border-bottom: 0.5px rgba(82, 82, 82, 0.103) solid;
  }

  .list-options {
    margin: 0 !important;
  }

  .pages {
    padding: 0;
  }

  .pages-list-options {
    padding: 0 !important;
  }

  .pages-list-options > li {
    padding: 0 !important;
  }

  .pages-column {
    display: block;
  }

  .pages-right-column.pages-list-options {
    display: block;
  }

  .account-sub-menu {
    all: unset;
    display: none;
    padding-bottom: 1rem;
    padding-left: 0.5rem;
    padding-top: 1rem;
    background-color: white;
  }

  .account-sub-menu > ul > li {
    padding: 5px 0px;
  }

  .account-list-options {
    padding: 0;
  }

  .account-list-options > li:hover > .account-sub-menu {
    display: none;
  }

  .account-list-options > li {
    padding: 7px 0;
  }

  .documentation-list-options {
    padding: 0;
  }

  .buynow-button {
    display: flex;
    justify-content: center;
    margin-left: unset;
    border-radius: 0 0 5px 5px;
  }
}
